/* roboto-light - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url("../fonts/roboto/Roboto-Light.ttf");
}

/* roboto-regular - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/roboto/Roboto-Regular.ttf");
}

/* roboto-bold - latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url("../fonts/roboto/Roboto-Bold.ttf");
}

* {
    font-family: 'Roboto' !important;
}

main {
    min-height: 100vh;
    max-width: 1400px;
    margin: 0 auto;
}

.map-container {
    position: relative;
    flex: 1;
    height: 100vh;
}

#map {
    width: 100%;
    /* min-width: 1100px; */
    height: 100%;
}

.sidebar {
    width: 300px;
    flex-shrink: 0;
    /* background-color: rgb(14, 39, 58); */
}

.text-white {
    color: #fff;
}

.form-title{
    color: #9B232C;
}

.btn-submit {
    display: block;
    background-color: #F4921F;
    color: #fff;
    margin: 0 auto;
}

.btn-submit:hover {
    color: #fff;
}

.separator {
    background-color: #bbb;
    height: 2px !important;
    width: 100%;
}

.map-popup-img {
    width: 40px;
}

.map-popup-img img {
    width: 100%;
    height: 100%;
}

.btn-g-maps {
    background-color: #B7B7B7;
    color: #000000 !important;
    width: fit-content;
}

.leaflet-popup-content-wrapper {
    /* background-color: aqua !important; */
    border: 1px solid #F4921F;
}

.nearby-offices {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #a29f9f86;
    backdrop-filter: blur(1px);
    z-index: 999;
    overflow-x: hidden;
}

.swiper {
    flex: 1;
    width: 100%;
}

.swiper-wrapper {
    height: auto !important;
}

.swiper-slide {
    display: flex !important;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
    background-color: #fff;
    border-radius: 12px;
    /* width: 300px !important; */
    /* height: 140px !important; */
    height: auto !important;
    padding: 10px;
    align-items: stretch;
    cursor: pointer;
}

.swiper-slide h6 {
    font-size: 12px;
}

.swiper-slide th,
.swiper-slide td {
    font-size: 12px;
}

.nearby-offices-card-image {
    flex-shrink: 0;
    width: 30px;
    height: 30px;
}

.nearby-offices-card-image img {
    width: 100%;
    height: 100%;
}

.move-to-filters {
    position: fixed;
    display: none;
    place-items: center;
    bottom: 25px;
    right: 10px;
    padding: 7px;
    width: 40px;
    height: 40px;
    border-radius: 2px;
    border: 1px solid #ccc;
    background-color: #fff;
    z-index: 999;
    opacity: 0;
    transition: all .3s ease;
}

img.leaflet-marker-icon{
    width: 30px !important;
    height: 30px !important;
}

.move-to-filters img {
    width: 100%;
    height: 100%;
}

.error{
    text-align: center;
    color: #9B232C;

}

.fomrserv{
    display: none;
}

@media screen and (width < 1080px) {
    main {
        flex-direction: column;
        height: auto;
    }

    .map-container {
        width: 100%;
        height: auto;
    }

    #map {
        width: 100%;
        height: 800px;
    }

    .sidebar {
        width: 100%;
    }

    .sidebar > form {
        max-width: 300px;
        margin: 0 auto;
    }
}

@media screen and (width < 800px) {
    .move-to-filters {
        display: grid;
    }
}